# Uses of Interface
org.eclipse.net4j.util.om.pref.OMPreference

Packages that use OMPreference
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.om.pref
Interfaces and classes for platform-independent preference management.
org.eclipse.net4j.util.ui.actions
Reusable actions and action delegates.
org.eclipse.net4j.util.ui.prefs
Helpers for O&M based preference pages.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of OMPreference in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection that return OMPreference
Modifier and Type
Method
Description
`OMPreference<String[]>`
PreferenceHistory.`getPreference()`
Methods in org.eclipse.net4j.util.collection with parameters of type OMPreference
Modifier and Type
Method
Description
`static IHistory<String>`
HistoryUtil.`createPreferenceHistory(OMPreference<String[]> preference)`
Constructors in org.eclipse.net4j.util.collection with parameters of type OMPreference
Modifier
Constructor
Description
``
`PreferenceHistory(OMPreference<String[]> preference)`

## Uses of OMPreference in org.eclipse.net4j.util.om.pref

Methods in org.eclipse.net4j.util.om.pref that return OMPreference
Modifier and Type
Method
Description
`OMPreference<?>`
OMPreferences.`get(String name)`
`OMPreference<String[]>`
OMPreferences.`getArray(String name)`
`OMPreference<Boolean>`
OMPreferences.`getBoolean(String name)`
`OMPreference<byte[]>`
OMPreferences.`getBytes(String name)`
`OMPreference<Double>`
OMPreferences.`getDouble(String name)`
`OMPreference<Float>`
OMPreferences.`getFloat(String name)`
`OMPreference<Integer>`
OMPreferences.`getInteger(String name)`
`OMPreference<Long>`
OMPreferences.`getLong(String name)`
`OMPreference<T>`
OMPreferencesChangeEvent.`getPreference()`
`OMPreference<String>`
OMPreferences.`getString(String name)`
`OMPreference<Boolean>`
OMPreferences.`init(String name, boolean defaultValue)`
`OMPreference<byte[]>`
OMPreferences.`init(String name, byte[] defaultValue)`
`OMPreference<Double>`
OMPreferences.`init(String name, double defaultValue)`
`OMPreference<Float>`
OMPreferences.`init(String name, float defaultValue)`
`OMPreference<Integer>`
OMPreferences.`init(String name, int defaultValue)`
`OMPreference<Long>`
OMPreferences.`init(String name, long defaultValue)`
`OMPreference<String>`
OMPreferences.`init(String name, String defaultValue)`
`OMPreference<String[]>`
OMPreferences.`init(String name, String[] defaultValue)`
`OMPreference<String[]>`
OMPreferences.`initArray(String name)`
`OMPreference<Boolean>`
OMPreferences.`initBoolean(String name)`
`OMPreference<byte[]>`
OMPreferences.`initBytes(String name)`
`OMPreference<Double>`
OMPreferences.`initDouble(String name)`
`OMPreference<Float>`
OMPreferences.`initFloat(String name)`
`OMPreference<Integer>`
OMPreferences.`initInteger(String name)`
`OMPreference<Long>`
OMPreferences.`initLong(String name)`
`OMPreference<String>`
OMPreferences.`initString(String name)`

## Uses of OMPreference in org.eclipse.net4j.util.ui.actions

Constructors in org.eclipse.net4j.util.ui.actions with parameters of type OMPreference
Modifier
Constructor
Description
``
`ToggleAction(String text, ImageDescriptor imageDescriptor, OMPreference<Boolean> preference)`

## Uses of OMPreference in org.eclipse.net4j.util.ui.prefs

Methods in org.eclipse.net4j.util.ui.prefs that return OMPreference
Modifier and Type
Method
Description
`final OMPreference<Boolean>`
PrefBoolean.`getBooleanPreference()`
`final OMPreference<Boolean>`
PrefIntegerAndDisable.`getDisabledPreference()`
`final OMPreference<Boolean>`
PrefTextAndDisable.`getDisabledPreference()`
`final OMPreference<Integer>`
PrefIntegerAndDisable.`getIntegerPreference()`
`final OMPreference<String>`
PrefText.`getTextPreference()`
`final OMPreference<String>`
PrefTextAndDisable.`getTextPreference()`
Constructors in org.eclipse.net4j.util.ui.prefs with parameters of type OMPreference
Modifier
Constructor
Description
``
`PrefBoolean(Composite parent, int buttonStyle, OMPreference<Boolean> booleanPreference)`
``
`PrefIntegerAndDisable(Composite parent, int textStyle, OMPreference<Integer> integerPreference, OMPreference<Boolean> disabledPreference)`
``
`PrefText(Composite parent, int textStyle, OMPreference<String> textPreference)`
``
`PrefTextAndDisable(Composite parent, int textStyle, OMPreference<String> textPreference, OMPreference<Boolean> disabledPreference)`

## Uses of OMPreference in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that return OMPreference
Modifier and Type
Method
Description
`OMPreference<Boolean>`
PreferenceButton.`getPreference()`
Constructors in org.eclipse.net4j.util.ui.widgets with parameters of type OMPreference
Modifier
Constructor
Description
``
`PreferenceButton(Composite parent, int style, String text, OMPreference<Boolean> preference)`